# /floor\_price/:asset\_contract

## Get floor price

<mark style="color:blue;">`GET`</mark> `https://api.nftbank.ai/estimates-v2/floor_price/:asset_contract?chain_id=ETHEREUM`

#### Path Parameters

| Name            | Type   | Description            |
| --------------- | ------ | ---------------------- |
| asset\_contract | string | Asset contract address |

#### Query Parameters

| Name      | Type   | Description                                                   |
| --------- | ------ | ------------------------------------------------------------- |
| chain\_id | string | Chain ID ("ETHEREUM," "MATIC", "KLAYTN", default: "ETHEREUM") |

#### Headers

| Name      | Type   | Description                                  |
| --------- | ------ | -------------------------------------------- |
| x-api-key | string | API key request via \[API key request] link. |

{% tabs %}
{% tab title="200 " %}

```json
{
  "data": [
    {
      "_id": "ethereum_0xa2dbd9e7e2969db08b6a8c6cbc9d002663e70147",
      "asset_contract": "0xa2dbd9e7e2969db08b6a8c6cbc9d002663e70147",
      "asset_info": {
        "contract_address": "0xa2dbd9e7e2969db08b6a8c6cbc9d002663e70147",
        "name": "MandelNFT",
        "symbol": "MANDELNFT"
      },
      "chain_id": "ETHEREUM",
      "dapp_info": {
        "id": "asset-0xa2dbd9e7e2969db08b6a8c6cbc9d002663e70147",
        "image_url": "https://lh3.googleusercontent.com/sCdLxTfLImszLQ4SbujAub64e4TUR6n0vndE9nc1H2LE1Xt4Ac1rd8S63EgNZ-V4LGw646lmF7LztlZ2EJnC2-yAwhEBTMqZUQdTOQ=s120",
        "name": "MandelNFT"
      },
      "estimated_at": "Wed, 15 Sep 2021 00:00:00 GMT",
      "floor_price": [
        {
          "currency_symbol": "USD",
          "floor_price": 162.99596920722044
        },
        {
          "currency_symbol": "ETH",
          "floor_price": 0.05
        }
      ]
    }
  ],
  "response": 200
}
```

{% endtab %}
{% endtabs %}

<mark style="color:blue;">**curl request example**</mark>

```shell
curl -i -H "x-api-key: YOUR_API_KEY" \
  "https://api.nftbank.ai/estimates-v2/floor_price/0xa2dbd9e7e2969db08b6a8c6cbc9d002663e70147?chain_id=ETHEREUM"
```

<mark style="color:blue;">**curl response example**</mark>

```json
{
  "data": [
    {
      "_id": "ethereum_0xa2dbd9e7e2969db08b6a8c6cbc9d002663e70147",
      "asset_contract": "0xa2dbd9e7e2969db08b6a8c6cbc9d002663e70147",
      "asset_info": {
        "contract_address": "0xa2dbd9e7e2969db08b6a8c6cbc9d002663e70147",
        "name": "MandelNFT",
        "symbol": "MANDELNFT"
      },
      "chain_id": "ETHEREUM",
      "dapp_info": {
        "id": "asset-0xa2dbd9e7e2969db08b6a8c6cbc9d002663e70147",
        "image_url": "https://lh3.googleusercontent.com/sCdLxTfLImszLQ4SbujAub64e4TUR6n0vndE9nc1H2LE1Xt4Ac1rd8S63EgNZ-V4LGw646lmF7LztlZ2EJnC2-yAwhEBTMqZUQdTOQ=s120",
        "name": "MandelNFT"
      },
      "estimated_at": "Wed, 15 Sep 2021 00:00:00 GMT",
      "floor_price": [
        {
          "currency_symbol": "USD",
          "floor_price": 162.99596920722044
        },
        {
          "currency_symbol": "ETH",
          "floor_price": 0.05
        }
      ]
    }
  ],
  "response": 200
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nftbank.ai/nftbank-floor-price-api/nftbank-floor-price-api/floor_price-asset_contract.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
